.login-pf {
    background: #fff;
    background-color: #fff !important
}
.login-pf body {
    background: #fff;
    background-color: #fff !important
}

.login-pf-page {
    padding-top: 0px !important;
    height: 100%;
}

.login-pf page {
    padding-top: 0px;
    background: #fff;
    background-color: #fff !important
}

.alert-error {
    background-color: #ffffff;
    border-color: #cc0000;
    color: #333333;
}

.alert-danger{
    background-color: #ffffff;
    border-color: #cc0000;
    color: #333333;
}

.alert-success{
    background-color: #ffffff;
    border-color: #4bb543;
    color: #333333;
}

.alert-warning{
    background-color: #ffffff;
    border-color: #ffe082;
    color: #333333;
}

.alert-info{
    background-color: #ffffff;
    border-color: #0076CE;
    color: #333333;
}

.hover{
    position:absolute;
    margin-left:10px;
    margin-top:25px;
    width:40px;
    padding:2px;
    text-align: center;
    border:1px solid black;
    display: none;
    white-space: nowrap;
}

#kc-locale ul {
    display: none;
    position: absolute;
    background-color: #fff;
    list-style: none;
    right: 0;
    top: 20px;
    min-width: 100px;
    padding: 2px 0;
    border: solid 1px #bbb;
}

#kc-locale:hover ul {
    display: block;
    margin: 0;
}

#kc-locale ul li a {
    display: block;
    padding: 5px 14px;
    color: #000 !important;
    text-decoration: none;
    line-height: 20px;
}

#kc-locale ul li a:hover {
    color: #4d5258;
    background-color: #d4edfa;
}

#kc-locale-dropdown a {
    color: #4d5258;
    background: 0 0;
    padding: 0 15px 0 0;
    font-weight: 300;
}

#kc-locale-dropdown a:hover {
    text-decoration: none;
}

a#kc-current-locale-link {
    display: block;
    padding: 0 5px;
}

/* a#kc-current-locale-link:hover {
    background-color: rgba(0,0,0,0.2);
} */

a#kc-current-locale-link::after {
    content: "\2c5";
    margin-left: 4px;
}

.login-pf .container {
    padding-top: 0px;
}

.login-pf a:hover {
    color: #0076CE;
}

#kc-logo {
    width: 100%;
}

div#kc-header.login-pf-page-header {
    background-color: #0076CE;
    margin-bottom: 0px;
}

#kc-logo-wrapper {
    background-color: #0076CE;
    margin: 62px auto 0;
}

#kc-logo-container {
    background-color: #0076CE;
    margin: 0 auto;
    display: flex;
    flex-flow: column wrap;
    justify-content: center;
    align-items: center;
}

div.kc-logo-text {
    margin: 0 auto;
    font-family: "Roboto", "Segoe UI", "Helvetica Neue", "Meiryo UI Reg", "メイリオ Reg", "MS UI Gothic Reg", "Hiragino Kaku Gothic Reg", "ヒラギノ角ゴ Pro W3 Reg", "Microsoft YaHei", 微软雅黑, "Hiragino Sans GB", "Microsoft JhengHei", 微軟正黑體, "Malgun Gothic", Gulim, Tahoma, "Arial Unicode", sans-serif;
    font-style: normal;
    font-weight: 500;
    font-size: 48px;
    color:#FFF
}

div.kc-logo-image {
    background-image: url(../img/dell-technologies-logo.svg);
    background-repeat: no-repeat;
    background-size: contain;
    width:180px;
    height: 30px;
    filter: brightness(0) invert(1);
    margin-top: 45px;
    
}


div.kc-logo-copyright {
    color: #FFF;
    margin-top: 20px;
    font-family: "Roboto", Arial, Helvetica, sans-serif;
    font-style: normal;
    font-weight: 300;
    font-size: 14px;
}
label {
    color: #333333;
    width: 26% !important;
    font-family: "Roboto", Arial, Helvetica, sans-serif;
    font-style: normal;
    font-weight: 400;
    font-size: 14px;

}

.bi.bi-eye , .bi.bi-eye-slash{
    color: #0076CE;
    font-size:16px;
}

#kc-header {
    color: #ededed;
    overflow: visible;
    white-space: nowrap;
    display: flex;
    justify-content: center;
    align-items: center;
}

#kc-header-wrapper {
    height: 100%;
    display: flex;
    flex-flow: column wrap;
    justify-content: center;
    align-items: center;
    padding: 0px 10px 0px;
    white-space: normal;
}

#kc-content {
    width: 100%;
}

/* #kc-content-wrapper {
    overflow-y: hidden;
} */

#kc-info {
    padding-bottom: 200px;
    margin-bottom: -200px;
}

#kc-info-wrapper {
    font-size: 13px;
}

#kc-form-options span {
    display: block;
}

#kc-form-options .checkbox {
    margin-top: 0;
    color: #72767b;
}

#kc-terms-text {
    margin-bottom: 20px;
}

#kc-registration {
    margin-bottom: 15px;
}

/* TOTP */

ol#kc-totp-settings {
    margin: 0;
    /* padding-left: 20px; */
    counter-reset: item;
    list-style-type: none;
}

ol#kc-totp-settings li:before {
    content: 'Step ' counter(item, decimal) ':';
    font-weight: bold;
    counter-increment: item;
}

ol#kc-totp-settings-right {
    margin: 0;
    /* padding-left: 20px; */
    counter-reset: item 2;
    list-style-type: none;
}

ol#kc-totp-settings-right li:before {
    content: 'Step ' counter(item, decimal) ':';
    font-weight: bold;
    counter-increment: item;
}

ul#kc-totp-supported-apps {
  margin-bottom: 10px;
}

#kc-totp-secret-qr-code {
    max-width:150px;
    max-height:150px;
}

#kc-totp-secret-key {
    background-color: #fff;
    color: #333333;
    font-size: 16px;
    padding: 10px 0;
}

/* OAuth */

#kc-oauth h3 {
    margin-top: 0;
}

#kc-oauth ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

#kc-oauth ul li {
    border-top: 1px solid rgba(255, 255, 255, 0.1);
    font-size: 12px;
    padding: 10px 0;
}

#kc-oauth ul li:first-of-type {
    border-top: 0;
}

#kc-oauth .kc-role {
    display: inline-block;
    width: 50%;
}

/* Code */
#kc-code textarea {
    width: 100%;
    height: 8em;
}

/* Social */

#kc-social-providers ul {
    padding: 0;
}

#kc-social-providers li {
    display: block;
}

#kc-social-providers li:first-of-type {
    margin-top: 0;
}

.zocial,
a.zocial  {
    width: 100%;
    font-weight: normal;
    font-size: 14px;
    text-shadow: none;
    border: 0;
    background: #f5f5f5;
    color: #72767b;
    border-radius: 0;
    white-space: normal;
}
.zocial:before {
  border-right: 0;
  margin-right: 0;
}
.zocial span:before {
    padding: 7px 10px;
    font-size: 14px;
}
.zocial:hover {
    background: #ededed !important;
}

.zocial.facebook,
.zocial.github,
.zocial.google,
.zocial.microsoft,
.zocial.stackoverflow,
.zocial.linkedin,
.zocial.twitter {
    background-image: none;
    border: 0;

    box-shadow: none;
    text-shadow: none;
}
.form-control {
    display: inline-block !important;
    width: 70% !important;
}
.form-group {
    margin-top: 20px !important;
}
/* Copy of zocial windows classes to be used for microsoft's social provider button */
.zocial.microsoft:before{ content: "\f15d"; }
.zocial.stackoverflow:before{ color: inherit; }


@media (min-width: 768px) {
    #kc-container-wrapper {
        position: absolute;
        width: 100%;
    }

    .login-pf .container {
        padding-right: 80px;
    }

    #kc-locale {
        position: relative;
        text-align: right;
        z-index: 9999;
    }
}

@media (max-width: 767px) {

    .login-pf body {
      background: white;
    }

    #kc-header {
        padding-left: 15px;
        padding-right: 15px;
        float: none;
        text-align: left;
    }

    #kc-header-wrapper {
      font-size: 16px;
      font-weight: bold;
      padding: 20px 60px 0 0;
      color: #72767b;
      letter-spacing: 0;
    }

    #kc-form {
        float: none;
    }

    #kc-info-wrapper {
        border-top: 1px solid rgba(255, 255, 255, 0.1);
        margin-top: 15px;
        padding-top: 15px;
        padding-left: 0px;
        padding-right: 15px;
    }

    #kc-social-providers li {
        display: block;
        margin-right: 5px;
    }

    .login-pf .container {
        padding-top: 15px;
        padding-bottom: 15px;
    }

    #kc-locale {
        position: absolute;
        width: 200px;
        top: 20px;
        right: 20px;
        text-align: right;
        z-index: 9999;
    }

    #kc-logo-wrapper {
        background-size: 100px 21px;
        height: 21px;
        width: 100px;
        margin: 20px 0 0 20px;
    }

}

@media (min-height: 646px) {
    #kc-container-wrapper {
        bottom: 12%;
    }
}

@media (max-height: 645px) {
    #kc-container-wrapper {
        padding-top: 50px;
        top: 20%;
    }
}

.card-pf form.form-actions .btn {
    float: right;
    margin-left: 10px;
}

#kc-login-btn{
    margin-top: 16px;
    margin-left: 114px;
    margin-right: 186px;
}

#kc-update-btn{
    margin-top:16px;
    margin-left: 130px;
    margin-right: 170px;
}

#kc-forget-submit{
    margin-top: 16px;
    margin-left: 110px;
    margin-right: 186px;
}

#kc-rsa-form{
    overflow: hidden;
}

.login-pf-page .login-pf-brand {
  margin-top: 20px;
  max-width: 360px;
  width: 40%;
}

.card-pf {
  background: #fff;
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0;
  max-width: 500px;
  border-top: 0;
  box-shadow: 0 0 0;
  height: auto;
  overflow: auto;
}

#kc-alerts{
    margin: 0;
    text-align: center;
}

#alertbox{
    margin: 0;
    text-align: center;
}
#alerts{
    margin: auto;
}

/*tablet*/
@media (max-width: 840px) {
    .login-pf-page .card-pf{
      max-width: none;
      margin-left: 20px;
      margin-right: 20px;
      padding: 20px 20px 30px 20px;
    }
}
@media (max-width: 767px) {
    .login-pf-page .card-pf{
      max-width: none;
      margin-left: 0;
      margin-right: 0;
      padding-top: 0;
    }
    .card-pf.login-pf-accounts{
      max-width: none;
    }
}

.login-pf-page .login-pf-signup {
  font-size: 15px;
  color: #72767b;
}
#kc-content-wrapper .row {
  margin-left: 0;
  margin-right: 0;
}

@media (min-width: 768px) {
  .login-pf-page .login-pf-social-section:first-of-type {
    padding-right: 39px;
    border-right: 1px solid #d1d1d1;
    margin-right: -1px;
  }
  .login-pf-page .login-pf-social-section:last-of-type {
    padding-left: 40px;
  }
  .login-pf-page .login-pf-social-section .login-pf-social-link:last-of-type {
    margin-bottom: 0;
  }
}

.login-pf-page .login-pf-social-link {
  margin-bottom: 25px;
}
.login-pf-page .login-pf-social-link a {
  padding: 2px 0;
}

.login-pf-page.login-pf-page-accounts {
  margin-left: auto;
  margin-right: auto;
}

.login-pf-page .btn-primary {
    margin-top: 0;
}


.login-pf-page .form-control:focus {
    outline: none !important;
    box-shadow: none !important;
    transition: none !important;
}

#sso-login-btn{
    border: none;
    padding: 0;
    background: none;
    color: #0076CE;
    cursor: pointer;
    margin-left: 114px;
}

.dialog-overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 1000;
}

.dialog-box {
    background-color: white;
    border-radius: 5px;
    width: 50%;
    max-width: 600px;
    margin: auto;
    position: relative;
    top: 50%;
    transform: translateY(-50%);
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.dialog-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px;
    border-bottom: 1px solid #e0e0e0;
}

.dialog-title {
    font-size: 20px;
}

.dialog-close {
    background: none;
    border: none;
    font-size: 20px;
    cursor: pointer;
}

.dialog-content {
    padding: 20px;
}

.dialog-footer {
    display: flex;
    justify-content: flex-end;
    padding: 10px;
    border-top: 1px solid #e0e0e0;
}

.dialog-footer button {
    margin-left: 10px;
    padding: 10px 20px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

.continue-button {
    background-color: #0076CE;
    color: white;

}

.continue-button:hover {
    background-color: #005999;
}

.cancel-button {
    background-color: transparent;
    color: #0076CE;

}

.cancel-button:hover {
    background-color: rgba(0, 118, 206, 0.1); 
    border-color: #0072a3;
}

.dialog-content label{
    font-size: 12px;
}

.idp-dropdown {
    width: 40%;
    height: 30px; 
    padding: 5px;
    border: 1px solid #ccc;
    font-size: 14px; 
}
